diff options
author | Igor Pashev <pashev.igor@gmail.com> | 2014-10-26 12:33:50 +0400 |
---|---|---|
committer | Igor Pashev <pashev.igor@gmail.com> | 2014-10-26 12:33:50 +0400 |
commit | 47e6e7c84f008a53061e661f31ae96629bc694ef (patch) | |
tree | 648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/349 | |
download | pcp-debian.tar.gz |
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/349')
-rwxr-xr-x | qa/349 | 90 |
1 files changed, 90 insertions, 0 deletions
@@ -0,0 +1,90 @@ +#! /bin/sh +# PCP QA Test No. 348 +# Install/Remove for summary pmda +# +# Copyright (c) 2008 Aconex. All Rights Reserved. +# + +seq=`basename $0` +echo "QA output created by $seq" + +# get standard filters +. ./common.product +. ./common.filter +. ./common.check + +rm -f $seq.out +if [ $PCP_VER -lt 3600 ] +then + ln $seq.out.1 $seq.out || exit 1 +else + ln $seq.out.2 $seq.out || exit 1 +fi + +status=1 +done_clean=false + +_cleanup() +{ + if $done_clean + then + : + else + [ -f $tmp.pmcd.conf ] && $sudo mv $tmp.pmcd.conf $PCP_PMCDCONF_PATH + rm -f $tmp.* + $sudo $PCP_RC_DIR/pcp restart | _filter_pcp_start + _wait_for_pmcd + _wait_for_pmlogger + if $install_on_cleanup + then + ( cd $PCP_PMDAS_DIR/summary; $sudo ./Install </dev/null >/dev/null 2>&1 ) + else + ( cd $PCP_PMDAS_DIR/summary; $sudo ./Remove </dev/null >/dev/null 2>&1 ) + fi + done_clean=true + fi + exit $status +} + +install_on_cleanup=false +pminfo summary >/dev/null 2>&1 && install_on_cleanup=true + +trap "_cleanup" 0 1 2 3 15 + +# real QA test starts here +home=$PCP_PMDAS_DIR +iam=summary +if [ ! -d $home/$iam ] +then + echo "Where is $home/$iam?" + exit 1 +fi +cd $home/$iam +unset ROOT MAKEFLAGS + +# copy the pmcd config file to restore state later. +cp $PCP_PMCDCONF_PATH $tmp.pmcd.conf + +# start from a known starting point +$sudo ./Remove >/dev/null 2>&1 + +echo +echo "=== $iam agent installation ===" +$sudo ./Install </dev/null >>$tmp.out 2>&1 + +_filter_pmda_install <$tmp.out + +if pminfo -v $iam +then + : +else + echo "... failed! ... here is the Install log ..." + cat $tmp.out +fi + +echo +echo "=== remove $iam agent ===" +$sudo ./Remove + +status=0 +exit |